Bug 237025 - graphics/qgis: Update to 3.6.1
Summary: graphics/qgis: Update to 3.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-04 18:57 UTC by Rainer Hurling
Modified: 2019-04-08 16:04 UTC (History)
3 users (show)

See Also:


Attachments
patch to update graphics/qgis from 3.6.0 to 3.6.1 (7.00 KB, patch)
2019-04-04 18:57 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2019-04-04 18:57:13 UTC
Created attachment 203389 [details]
patch to update graphics/qgis from 3.6.0 to 3.6.1

This is a minor update from QGIS version 3.6.0 to 3.6.1.


Changes of the port:
- Update to 3.6.1
- Add USE_PYQT=webkitwidgets for plugins like 'OpenLayers Plugin'
- Add OPTIONS_DEFAULT=SERVER
- Change files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  to work with REQUIRED_VERSION
- Remove files/patch-python_plugins_processing_algs_saga_SagaUtils.py
  and files/patch-src_app_main.cpp, after they are upstream now
- Update pkg-plist


The patch is tested on Poudriere (11.2i/a, 12.0i/a, and HEADi/a),
'portlint -AC' seems happy.
Comment 1 Loïc Bartoletti 2019-04-06 08:54:18 UTC
Hi Rainer,

I never tried to build and use qgis-server on FreeBSD... I'm ashamed :)
But, I think that server should be available as a subport since AFAIK you can build server without gui so perfectly nice for a server in a jail for example.
Comment 2 Rainer Hurling 2019-04-07 05:52:14 UTC
(In reply to lbartoletti from comment #1)

Hi Loïc,

In the past, there was already some discussion about having QGIS server as a stand-alone port, mainly discussed with Harrison Grundy (astrodog). But this got out of perspective ...

I still like the idea about an extra port for the server functionality. Because this means some work with needed dependencies and so on, I would suggest to bring it in with some of the next versions of QGIS, for example 3.8.x.

So for the actual version 3.6.1, I would like to see it in the ports as is.


BTW, what is meant with 'subport'? Is it a port depending on graphics/qgis[-ltr] or an autonomous one?
Comment 3 commit-hook freebsd_committer 2019-04-08 16:03:27 UTC
A commit references this bug:

Author: swills
Date: Mon Apr  8 16:02:41 UTC 2019
New revision: 498380
URL: https://svnweb.freebsd.org/changeset/ports/498380

Log:
  graphics/qgis: Update to 3.6.1

  PR:		237025
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/files/patch-python_plugins_processing_algs_saga_SagaAlgorithmProvider.py
  head/graphics/qgis/files/patch-python_plugins_processing_algs_saga_SagaUtils.py
  head/graphics/qgis/files/patch-src_app_main.cpp
Comment 4 Steve Wills freebsd_committer 2019-04-08 16:04:47 UTC
Committed, thanks!